diff --git a/MAINTAINERS b/MAINTAINERS
index 32ffdd1a61..52afd5d2e0 100644
--- a/MAINTAINERS
+++ b/MAINTAINERS
@@ -1336,7 +1336,7 @@ F: doc/guides/bbdevs/features/fpga_lte_fec.ini
 F: drivers/baseband/fpga_5gnr_fec/
 F: doc/guides/bbdevs/fpga_5gnr_fec.rst
 F: doc/guides/bbdevs/features/fpga_5gnr_fec.ini
-F: drivers/baseband/acc100/
+F: drivers/baseband/acc/
 F: doc/guides/bbdevs/acc100.rst
 F: doc/guides/bbdevs/features/acc100.ini
 F: doc/guides/bbdevs/features/acc101.ini
diff --git a/app/test-bbdev/meson.build b/app/test-bbdev/meson.build
index 76d4c26999..cd6a5089d5 100644
--- a/app/test-bbdev/meson.build
+++ b/app/test-bbdev/meson.build
@@ -20,8 +20,8 @@ endif
 if dpdk_conf.has('RTE_BASEBAND_FPGA_5GNR_FEC')
     deps += ['baseband_fpga_5gnr_fec']
 endif
-if dpdk_conf.has('RTE_BASEBAND_ACC100')
-    deps += ['baseband_acc100']
+if dpdk_conf.has('RTE_BASEBAND_ACC')
+    deps += ['baseband_acc']
 endif
 if dpdk_conf.has('RTE_LIBRTE_PMD_BBDEV_LA12XX')
     deps += ['baseband_la12xx']
diff --git a/app/test-bbdev/test_bbdev_perf.c b/app/test-bbdev/test_bbdev_perf.c
index af9ceca67b..41c78ded7d 100644
--- a/app/test-bbdev/test_bbdev_perf.c
+++ b/app/test-bbdev/test_bbdev_perf.c
@@ -52,7 +52,7 @@
 #define DL_5G_LOAD_BALANCE 128
 #endif
 
-#ifdef RTE_BASEBAND_ACC100
+#ifdef RTE_BASEBAND_ACC
 #include <rte_acc100_cfg.h>
 #define ACC100PF_DRIVER_NAME   ("intel_acc100_pf")
 #define ACC100VF_DRIVER_NAME   ("intel_acc100_vf")
@@ -705,7 +705,7 @@ add_bbdev_dev(uint8_t dev_id, struct rte_bbdev_info *info,
 				info->dev_name);
 	}
 #endif
-#ifdef RTE_BASEBAND_ACC100
+#ifdef RTE_BASEBAND_ACC
 	if ((get_init_device() == true) &&
 			(!strcmp(info->drv.driver_name, ACC100PF_DRIVER_NAME))) {
 		struct rte_acc_conf conf;
diff --git a/drivers/baseband/acc100/acc100_pf_enum.h b/drivers/baseband/acc/acc100_pf_enum.h
similarity index 100%
rename from drivers/baseband/acc100/acc100_pf_enum.h
rename to drivers/baseband/acc/acc100_pf_enum.h
diff --git a/drivers/baseband/acc100/acc100_pmd.h b/drivers/baseband/acc/acc100_pmd.h
similarity index 100%
rename from drivers/baseband/acc100/acc100_pmd.h
rename to drivers/baseband/acc/acc100_pmd.h
diff --git a/drivers/baseband/acc100/acc100_vf_enum.h b/drivers/baseband/acc/acc100_vf_enum.h
similarity index 100%
rename from drivers/baseband/acc100/acc100_vf_enum.h
rename to drivers/baseband/acc/acc100_vf_enum.h
diff --git a/drivers/baseband/acc100/acc101_pmd.h b/drivers/baseband/acc/acc101_pmd.h
similarity index 100%
rename from drivers/baseband/acc100/acc101_pmd.h
rename to drivers/baseband/acc/acc101_pmd.h
diff --git a/drivers/baseband/acc100/acc_common.h b/drivers/baseband/acc/acc_common.h
similarity index 100%
rename from drivers/baseband/acc100/acc_common.h
rename to drivers/baseband/acc/acc_common.h
diff --git a/drivers/baseband/acc100/meson.build b/drivers/baseband/acc/meson.build
similarity index 100%
rename from drivers/baseband/acc100/meson.build
rename to drivers/baseband/acc/meson.build
diff --git a/drivers/baseband/acc100/rte_acc100_cfg.h b/drivers/baseband/acc/rte_acc100_cfg.h
similarity index 100%
rename from drivers/baseband/acc100/rte_acc100_cfg.h
rename to drivers/baseband/acc/rte_acc100_cfg.h
diff --git a/drivers/baseband/acc100/rte_acc100_pmd.c b/drivers/baseband/acc/rte_acc100_pmd.c
similarity index 100%
rename from drivers/baseband/acc100/rte_acc100_pmd.c
rename to drivers/baseband/acc/rte_acc100_pmd.c
diff --git a/drivers/baseband/acc100/rte_acc_common_cfg.h b/drivers/baseband/acc/rte_acc_common_cfg.h
similarity index 100%
rename from drivers/baseband/acc100/rte_acc_common_cfg.h
rename to drivers/baseband/acc/rte_acc_common_cfg.h
diff --git a/drivers/baseband/acc100/version.map b/drivers/baseband/acc/version.map
similarity index 100%
rename from drivers/baseband/acc100/version.map
rename to drivers/baseband/acc/version.map
diff --git a/drivers/baseband/meson.build b/drivers/baseband/meson.build
index 686e98b2ed..1d732da882 100644
--- a/drivers/baseband/meson.build
+++ b/drivers/baseband/meson.build
@@ -6,7 +6,7 @@ if is_windows
 endif
 
 drivers = [
-        'acc100',
+        'acc',
         'fpga_5gnr_fec',
         'fpga_lte_fec',
         'la12xx',